[refpolicy] checkpolicy: error(s) encountered while parsing configuration

Christopher J. PeBenito cpebenito at tresys.com
Wed Sep 3 07:41:44 CDT 2008


On Tue, 2008-09-02 at 11:02 -0400, Justin Mattock wrote:
> On Tue, Sep 2, 2008 at 8:45 AM, Christopher J. PeBenito
> <cpebenito at tresys.com> wrote:
> > On Sun, 2008-08-31 at 19:34 -0400, Justin Mattock wrote:
> >> when loading the latest refpolicy I'm seing a
> >> policy/modules/kernel/kernel.te":237:ERROR 'syntax error' at token 'corenet_raw_
> >> corenet_raw_send_multicast_node(kernel_t)
> >>
> >> not sure if this is checkpolicy or refpolicy
> >
> > I can't reproduce this.  Can you send a modules.conf along with build
> > settings?
> >
> > --
> > Chris PeBenito
> > Tresys Technology, LLC
> > (410) 290-1411 x150
> >
> >
> 
> O.K.
> Attached is build.conf of the refpolicy
> that worked. The policy that was giving me this message
> was from svn.
> here is a list of the packages I was using:
> checkpolicy 2.0.16-2 then downgraded to 2.0.16-1
> libselinux1 2.0.65-4
> libselinux1-dev 2.0.65-4
> libsemanage1 2.0.25-1
> libsemanage1-dev 2.0.25-1
> libsepol1-dev 2.0.30-2
> lsb-base  3.2-20
> lsb-release 3.2-20
> polgen 1.3-5
> policycoreutils 2.0.49-5 was also using this package from feisty
> but upgraded to the package with the -U deny option.
> python-selinux 2.0.65-4
> python-semanage 2.0.25-1
> python-sepolgen 1.0.11-4
> 
> From what I remember I was using the debian SID repository
> for some of the packages, and then moving to feisty
> for some of the other packages as well. I'll try
> and load the svn policy again to see if this happens. my guess
> is either policycorutils, or checkpolicy was outdated
> at the time of building(but could be wrong);
> Also attached is the kernel config that I am using for this machine.

I need the modules.conf for the policy, not the kernel config.

-- 
Chris PeBenito
Tresys Technology, LLC
(410) 290-1411 x150



More information about the refpolicy mailing list